﻿# Quick Store

### This is an upload of aedenthorn's Quick Store mod. No changes have been made to the mod itself; I've simply packaged it to be uploaded to Thunderstore. The pages can be found on [NexusMods](https://www.nexusmods.com/valheim/mods/1595?tab=description) or [GitHub](https://github.com/aedenthorn/ValheimMods).

Lets you quickly transfer inventory items into nearby containers by pressing a hotkey. With this mod you can press a hotkey (default **"."**), your inventory items are sorted into nearby containers. You can set range, whether the container must already have the type of item being stored, and allow or disallow lists for all and specific
types of container.

## Allow / Disallow Lists

Allow / disallow lists are comma-separated lists of strings.

Lists are of two kinds: **Types** and **Categories**.

"**Types**" lists refer to specific item spawn names, e.g. **ArmorBronzeChest**.

"Categories" lists refer to generic item categories, like **Material** or **Helmet**.

Valid categories include:  
- None
- Material
- Consumable
- OneHandedWeapon
- Bow
- Shield
- Helmet
- Chest
- Ammo
- Customization
- Legs
- Hands
- Trophie
- TwoHandedWeapon
- Torch
- Misc
- Shoulder
- Utility
- Tool
- Attach_Atgeir

Allow lists override disallow lists, and global lists override lists for specific container types.

## Config

A config file BepInEx/config/aedenthorn.QuickStore.cfg is created after running the game once with this mod.

You can adjust the config values by editing this file using a text editor or in-game using the [Config Manager](https://valheim.thunderstore.io/package/Valkria/TJzilla_BepInEx_ConfigurationManager/)﻿.

## Credits

This mod was made by aedenthorn. The original mod page is found [here](https://www.nexusmods.com/valheim/mods/1595?tab=description). The code is found on [GitHub](https://www.nexusmods.com/valheim/mods/1595?tab=description).

A list of aedenthorn's other mods is found [here](https://www.nexusmods.com/valheim/articles/104).